﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamTabControlTest
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(Window1_Loaded);
        }

        void Window1_Loaded(object sender, RoutedEventArgs e)
        {
            this.AddTabs();
        }

        private void btnAdd_Click(object sender, RoutedEventArgs e)
        {
            this.AddTabs();
        }

        private void btnGC_Click(object sender, RoutedEventArgs e)
        {
            GC.Collect();
        }

        int add = 3;

        private void AddTabs()
        {
            int count = add;

            for (int i = 0; i < count; i++)
            {
                int index = this.tabControl.Items.Count + 1;

                Infragistics.Windows.Controls.TabItemEx newTabItemEx = new Infragistics.Windows.Controls.TabItemEx();

                newTabItemEx.CloseButtonVisibility = Infragistics.Windows.Controls.TabItemCloseButtonVisibility.Visible;
                newTabItemEx.Header = string.Format("Header ", index.ToString());
                newTabItemEx.Content = string.Format("Content", index.ToString());

                this.tabControl.Items.Add(newTabItemEx);
            }
        }

        private void btnRemove_Click(object sender, RoutedEventArgs e)
        {
            this.tabControl.Items.Clear();
        }
    }
}
