﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Infragistics.Windows.DockManager;
using Infragistics.Windows.Ribbon;
using System.Threading;
using System.IO;
using System.Runtime.Serialization.Formatters.Binary;

namespace XamTabControlTest
{
    /// <summary>
    /// Interaction logic for Window2.xaml
    /// </summary>
    public partial class Window2 : XamRibbonWindow
    {
        public Window2()
        {
            InitializeComponent();
            //System.Timers.Timer t = new System.Timers.Timer();
            //t.Interval=5000;
            //t.Elapsed+=new System.Timers.ElapsedEventHandler(t_Elapsed);
            //t.Start();    
        }

        void t_Elapsed(object sender, System.Timers.ElapsedEventArgs e)
        {
            System.GC.Collect(0,GCCollectionMode.Forced );
        }

        public void AddContentPane(ContentPane objContentPane, string strContentHeader)
        { 
            try { 

                objContentPane.Header = strContentHeader;
                objContentPane.AllowDocking = false;
                objContentPane.AllowDockingFloating = false;
                objContentPane.AllowDockingInTabGroup = false;
                objContentPane.AllowDockingInTabGroup = false;
                objContentPane.AllowDockingLeft = false;
                objContentPane.AllowDockingRight = false;
                objContentPane.AllowDockingTop = false;
                objContentPane.AllowPinning = false;
                objContentPane.AllowDockingBottom = false;
                objContentPane.IsPinned = false;
                objContentPane.AllowDrop = false;
                objContentPane.AllowFloatingOnly = false;
                objContentPane.AllowInDocumentHost = false;
                objContentPane.TabHeaderTemplate = (System.Windows.DataTemplate)this.FindResource("tabItemHeaderWithClose");
                objContentPane.Closed +=new EventHandler<Infragistics.Windows.DockManager.Events.PaneClosedEventArgs>(objContentPane_Closed);
                objContentPane.CloseAction = PaneCloseAction.RemovePane;                 
                cgGroupPane.Items.Add(objContentPane); 
                objContentPane.Activate();                 
                
            } 
            catch (Exception ex) {
                MessageBox.Show(ex.Message);
            } 
        }   
        int count = 0;
        Contents ct;
        private void MenuItem_Click(object sender, RoutedEventArgs e)
        {
            ct = new Contents();
            count = count + 1;            
            AddContentPane((ContentPane)ct, "New");
        }
        private void objContentPane_Closed(object sender,Infragistics.Windows.DockManager.Events.PaneClosedEventArgs e)
        {
            ((ContentPane)sender).Closed -= new EventHandler<Infragistics.Windows.DockManager.Events.PaneClosedEventArgs>(objContentPane_Closed);
            //cgGroupPane.Items.RemoveAt(count - 1);
            //ct = null;
            count = count - 1;
            System.GC.Collect(0,GCCollectionMode.Forced);
            System.GC.Collect(1, GCCollectionMode.Forced);
            System.GC.Collect(System.GC.MaxGeneration, GCCollectionMode.Forced);
        }

        private void showMessage()
        {
            MemoryStream ms = new MemoryStream();
            BinaryFormatter bf = new BinaryFormatter();
            bf.Serialize(ms, bf);
            MessageBox.Show(ms.Length.ToString());
            ms.Close();
        }

        private void MenuItem_Click_1(object sender, RoutedEventArgs e)
        {
            try
            {
               //showMessage();
                cgGroupPane.Items.RemoveAt(count - 1);
                ct = null;
                count = count - 1;
                //showMessage();
            }
            catch (Exception ex)
            {
               
            }
            finally
            {
                //MessageBox.Show(GC.GetTotalMemory(false).ToString());
                System.GC.Collect(GC.MaxGeneration, GCCollectionMode.Forced);
                //MessageBox.Show(GC.GetTotalMemory(false).ToString());
            }
           
        }

        private void MenuItem_Click_2(object sender, RoutedEventArgs e)
        {
//            System.Threading.Thread.Sleep(2000);
            System.GC.Collect(GC.MaxGeneration, GCCollectionMode.Forced);                  
        }
    }
}
